"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def vmc_locale(hub, ctx) -> None:
    """
    **Autogenerated function**
    
    Sets the locale for the session which is used for translating responses.


    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.locale.vmc_locale(ctx, )

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.locale.vmc_locale 
    """

    return await hub.tool.http.session.request(
        ctx,
        method="post",
        path=ctx.acct.endpoint_url + "/locale".format(**{}),
        query_params={},
        data={}
    )

